Bug 42452 - Unsupported type encoding : _GLKVector4={?=ffff}{?=ffff}{?=ffff}[4f])16 / GLKMatrix4={?=ffffffffffffffff}[16f])16
Summary: Unsupported type encoding : _GLKVector4={?=ffff}{?=ffff}{?=ffff}[4f])16 / GLK...
Status: VERIFIED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: Xamarin.iOS.dll (show other bugs)
Version: XI 9.10 (C8)
Hardware: Macintosh Mac OS
: --- blocker
Target Milestone: 10.0.0 (C8)
Assignee: Rolf Bjarne Kvinge [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2016-07-10 01:59 UTC by RobertN
Modified: 2016-07-15 10:11 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description RobertN 2016-07-10 01:59:25 UTC
Xamarin.iOS Version: 9.9.0.288 

Create project using the iOS / App / OpenGL project template and run it.

Code:

  effect.Light0.DiffuseColor = new Vector4(1.0f, 0.4f, 0.4f, 1.0f);

Results in:

  Xamarin.iOS: Unsupported type encoding: _GLKVector4={?=ffff}{?=ffff}{?=ffff}[4f])16
  critical: Stacktrace:
  critical:   at <unknown> <0xffffffff>
  critical:   at (wrapper managed-to-native) ObjCRuntime.Messaging.void_objc_msgSend_Vector4  (intptr,intptr,OpenTK.Vector4) <IL 0x0000b, 0x00131>
  critical:   at GLKit.GLKEffectPropertyLight.set_DiffuseColor (OpenTK.Vector4) [0x0000b] in /Users/builder/data/lanes/1381/ef65ca51/source/xamarin-macios/src/build/ios/native/GLKit/GLKEffectPropertyLight.g.cs:192

Factoring that out, leads to:

Code:

  var projectionMatrix = Matrix4.CreatePerspectiveFieldOfView(MathHelper.DegreesToRadians(65.0f), aspect, 0.1f, 100.0f);
  effect.Transform.ProjectionMatrix = projectionMatrix;

Results in:

  Xamarin.iOS: Unsupported type encoding: _GLKMatrix4={?=ffffffffffffffff}[16f])16
  critical: Stacktrace:
  critical:   at <unknown> <0xffffffff>
  critical:   at (wrapper managed-to-native) ObjCRuntime.Messaging.void_objc_msgSend_Matrix4 (intptr,intptr,OpenTK.Matrix4) <IL 0x0000b, 0x0018d>
  critical:   at GLKit.GLKEffectPropertyTransform.set_ProjectionMatrix (OpenTK.Matrix4) [0x0000b] in /Users/builder/data/lanes/1381/ef65ca51/source/xamarin-macios/src/build/ios/native/GLKit/GLKEffectPropertyTransform.g.cs:210
Comment 1 Rolf Bjarne Kvinge [MSFT] 2016-07-12 17:13:48 UTC
https://github.com/xamarin/xamarin-macios/pull/382
Comment 3 Shruti 2016-07-15 10:11:37 UTC
**************************
Reproduce Status:
**************************

I have also observed crash with opengl template on 9.9.0.288
Application output: https://gist.github.com/shrutis360/d284ef95466fa7271fd27806851bd8ec


**************************
Verify Status:
**************************

I have checked this with latest Cycle 8 XS xamarin.ios-9.10.0.11 and Master XS xamarin.ios-9.11.0.17.

Now opengl template is running successfully without any crash. 
Screencast: http://www.screencast.com/t/RmDwr5ej

Hence, Changing bug status to verified.